
Foreman - Refactor #96

config/settings.yaml should not be under git control

11/27/2009 09:46 AM - Martin Englund

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

It is a host specific file which shouldn't be touched when you pull new changes.

Instead it should be distributed as config/settings.yaml.example

Related issues:

Is duplicate of Foreman - Refactor #343: settings file should not be under ve... Closed 07/06/2010

History

#1 - 11/27/2009 12:15 PM - Ohad Levy

do you know of a way of removing it from git but not removing the file (for the people who do git pull?)

#2 - 11/27/2009 12:56 PM - Martin Englund

- Assignee set to Ohad Levy

just run

git mv config/settings.yaml config/settings.yaml.example

#3 - 11/27/2009 01:02 PM - Ohad Levy

Martin Englund wrote:

just run

[...]

 what about the people who already use it? :-\

#4 - 11/27/2009 01:23 PM - Martin Englund

I think you have to put in the release notes to re-create the settings.yaml file, as there is no way to ungit a file and still leave it (as far as I know, but

I'm not a git expert, nor do I play one on TV)

#5 - 11/27/2009 02:43 PM - Martin Englund

btw, database.yml should also not be under git control

#6 - 11/09/2010 03:32 PM - Ohad Levy

- Status changed from New to Closed
